import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconRocket as IconRocketClass } from "../../../../components/icon/icons/rocket.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconRocket = (props) => {
  IconRocketClass.define();
  const JSXElement = getReactComponent("gds-icon-rocket");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconRocket.displayName = "IconRocket";
export {
  IconRocket
};
